<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="ARINC"
    nsURI="http:///ARINC.ecore" nsPrefix="ARINC">
  <eClassifiers xsi:type="ecore:EClass" name="MIF" eSuperTypes="#//NamedElement">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="self.window.duration->sum() = self.majorFrame.mifDuration"/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="window" unique="false"
        lowerBound="1" upperBound="-1" eType="#//Window" containment="true" eOpposite="#//Window/mif"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="system" ordered="false"
        unique="false" lowerBound="1" eType="#//ArincSystem" eOpposite="#//ArincSystem/mif"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="NamedElement" abstract="true">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" ordered="false" unique="false"
        lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Window">
    <eStructuralFeatures xsi:type="ecore:EReference" name="partition" ordered="false"
        unique="false" eType="#//Partition"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="duration" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="mif" ordered="false" unique="false"
        lowerBound="1" eType="#//MIF" eOpposite="#//MIF/window"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Partition" eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="physicalComponent" ordered="false"
        unique="false" upperBound="-1" eType="#//PhysicalComponent" containment="true"
        eOpposite="#//PhysicalComponent/partition"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="system" ordered="false"
        unique="false" lowerBound="1" eType="#//ArincSystem" eOpposite="#//ArincSystem/partition"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="PhysicalComponent" abstract="true" eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="priority" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="logicalComponent" unique="false"
        upperBound="-1" eType="#//LogicalComponent" containment="true" eOpposite="#//LogicalComponent/physicalComponent"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="partition" ordered="false"
        unique="false" lowerBound="1" eType="#//Partition" eOpposite="#//Partition/physicalComponent"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="LogicalComponent" eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="physicalComponent" ordered="false"
        unique="false" lowerBound="1" eType="#//PhysicalComponent" eOpposite="#//PhysicalComponent/logicalComponent"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ArincSystem" eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="majorFrame" ordered="false"
        unique="false" lowerBound="1" eType="#//MajorFrame" containment="true" eOpposite="#//MajorFrame/system"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="mif" ordered="false" unique="false"
        lowerBound="1" upperBound="-1" eType="#//MIF" containment="true" eOpposite="#//MIF/system"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="partition" ordered="false"
        unique="false" lowerBound="1" upperBound="-1" eType="#//Partition" containment="true"
        eOpposite="#//Partition/system"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="MajorFrame">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="mifDuration" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="mif" unique="false" lowerBound="1"
        upperBound="-1" eType="#//MIF"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="system" ordered="false"
        unique="false" lowerBound="1" eType="#//ArincSystem" eOpposite="#//ArincSystem/majorFrame"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="PeriodicPhysicalComponent" eSuperTypes="#//PhysicalComponent">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="nMifPeriod" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="deadline" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="functionalChain" unique="false"
        lowerBound="1" upperBound="-1" eType="#//Task" containment="true" eOpposite="#//Task/periodicPhysicalComponent"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Task" eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="duration" ordered="false"
        unique="false" lowerBound="1" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="logicalComponent" ordered="false"
        unique="false" lowerBound="1" eType="#//LogicalComponent"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="periodicPhysicalComponent"
        ordered="false" unique="false" lowerBound="1" eType="#//PeriodicPhysicalComponent"
        eOpposite="#//PeriodicPhysicalComponent/functionalChain"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="AperiodicPhysicalComponent" eSuperTypes="#//PhysicalComponent"/>
</ecore:EPackage>
